﻿<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<dynamic>" %>
<div id="Hybrid">
    <div id="Instructions3">
        <p>
            This <b>Hybrid Map</b> uses tiling at low zoom levels and drawing at higher zoom
            levels. Tiling must be used at low zoom levels since there are too many items to
            transmit and display. Drawing is used at higher zoom levels to allow interaction
            with items. Here, we show item details when the mouse hovers over an item (e.g.
            an Earthquake).
        </p>
        <p>
            Adjust the Tiling Boundary in the Controls to 5 while showing Faults
            over the West Coast (Zoom Level 6 in Controls).
            You'll see that there is too much data to transmit in a single packet.
            <button id="Draw6Faults">Show Me</button>
        </p>
        <p>
            Adjust the Tiling Boundary in the Controls to 5 while showing only Earthquakes over the West Coast.
            Try moving the map - you will notice the performance is very poor due to the large number
            of items drawn on the map.
            <button id="Draw6Earthquakes">Show Me</button>
        </p>
        <p>
            <b>NOTE:</b> if you close this window you can show it again by clicking <b>Show Instructions</b>.
        </p>
    </div>
    <div id="MapPanel3">
        <div id="ControlPanel3">
            <div id="ShowItems3" class="panel">
                <h3>
                    <a href="#">SQL Tables</a>
                </h3>
                <div class="contents">
                    <div class="headings">
                        <div class="left">
                            Table
                        </div>
                        <div class="right">
                            Opacity
                        </div>
                    </div>
                    <div class="item_row">
                        <div class="left">
                            <label>
                                <input type="checkbox" name="Countries" />
                                Countries
                            </label>
                        </div>
                        <div class="right">
                            <div class="opacity_slider">
                            </div>
                        </div>
                    </div>
                    <div class="item_row">
                        <div class="left">
                            <label>
                                <input type="checkbox" name="States" />
                                States
                            </label>
                        </div>
                        <div class="right">
                            <div class="opacity_slider">
                            </div>
                        </div>
                    </div>
                    <div class="item_row">
                        <div class="left">
                            <label>
                                <input type="checkbox" name="Counties" />
                                US Counties
                            </label>
                        </div>
                        <div class="right">
                            <div class="opacity_slider">
                            </div>
                        </div>
                    </div>
                    <div class="item_row">
                        <div class="left">
                            <label>
                                <input type="checkbox" name="Earthquakes" />
                                Earthquakes
                            </label>
                        </div>
                        <!-- no slider for pushpins since we cannot change opacity -->
                    </div>
                    <div class="item_row">
                        <div class="left">
                            <label>
                                <input type="checkbox" name="Faults" />
                                Faults
                            </label>
                        </div>
                        <div class="right">
                            <div class="opacity_slider">
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <br />
            <div id="TilingDrawing" class="panel">
                <h3>
                    <a href="#">Tiling Boundary</a>
                </h3>
                <div class="contents">
                    <div>
                        <label>
                            <input type="radio" name="TilingBoundary" value="5" />
                            5
                        </label>
                    </div>
                    <div>
                        <label>
                            <input type="radio" name="TilingBoundary" value="6" />
                            6
                        </label>
                    </div>
                    <div>
                        <label>
                            <input type="radio" name="TilingBoundary" value="7" />
                            7
                        </label>
                    </div>
                    <div>
                        <label>
                            <input type="radio" name="TilingBoundary" value="8" />
                            8
                        </label>
                    </div>
                    <div>
                        <label>
                            <input type="radio" name="TilingBoundary" value="9" checked="checked" />
                            9
                        </label>
                    </div>
                    <div>
                        <label>
                            <input type="radio" name="TilingBoundary" value="10" />
                            10
                        </label>
                    </div>
                    <div>
                        <label>
                            <input type="radio" name="TilingBoundary" value="11" />
                            11
                        </label>
                    </div>
                </div>
            </div>
            <br />
            <div id="CurrentView3" class="panel">
                <h3>
                    <a href="#">Current View</a>
                </h3>
                <div class="contents">
                    <div class="item_row">
                        <div class="left">
                            Latitude:
                        </div>
                        <div class="right" id="CurrentView3Latitude">
                        </div>
                    </div>
                    <div class="item_row">
                        <div class="left">
                            Longitude:
                        </div>
                        <div class="right" id="CurrentView3Longitude">
                        </div>
                    </div>
                    <div class="item_row">
                        <div class="left">
                            Zoom Level:
                        </div>
                        <div class="right" id="CurrentView3Zoom">
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div id="Map3">
        </div>
        <button id="ShowControlPanel3">
            Show Controls</button>
        <button id="ShowInstructions3">
            Show Instructions</button>
        <table id="ItemProperties3">
            <tbody>
            </tbody>
        </table>
    </div>
</div>
