﻿<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<dynamic>" %>
<div id="Tiling">
    <div id="Instructions2">
        <p>
            This page demonstrates tiling on the map. You can select items to show from <b>SQL Tables</b>.
            You can change the opacity of the items using the slider near the checkbox.
        </p>
        <p>
            If you check <b>Thematic Coloring</b> items will be colored based on a characteristic
            of the item such as area or magnitude. This is a common practice, and is the most
            common reason to draw an item like a County on the map instead of just having it
            rendered as part of the map image.
        </p>
        <p>
            Tiling uses resources on the server to generate images showing the requested data.
            Since there is minimal processing performed by the client, large amounts of data
            can be displayed at little cost. This technique is best suited for static data since
            this lets the tiles be cached, leading to better performance. Another drawback is
            the lack of interactivity on the client side, since the items are not entities known
            to the client.
        </p>
        <p>
            <b>NOTE:</b> if you close this window you can show it again by clicking <b>Show Instructions</b>.
        </p>
    </div>
    <div id="MapPanel2">
        <div id="ControlPanel2">
            <div id="ShowItems2" class="panel">
                <h3>
                    <a href="#">SQL Tables</a>
                </h3>
                <div class="contents">
                    <div class="headings">
                        <div class="left">
                            Table
                        </div>
                        <div class="right">
                            Opacity
                        </div>
                    </div>
                    <div class="item_row">
                        <div class="left">
                            <label>
                                <input type="checkbox" name="Countries" />
                                Countries
                            </label>
                        </div>
                        <div class="right">
                            <div class="opacity_slider">
                            </div>
                        </div>
                    </div>
                    <div class="item_row">
                        <div class="left">
                            <label>
                                <input type="checkbox" name="States" />
                                States
                            </label>
                        </div>
                        <div class="right">
                            <div class="opacity_slider">
                            </div>
                        </div>
                    </div>
                    <div class="item_row">
                        <div class="left">
                            <label>
                                <input type="checkbox" name="Counties" />
                                US Counties
                            </label>
                        </div>
                        <div class="right">
                            <div class="opacity_slider">
                            </div>
                        </div>
                    </div>
                    <div class="item_row">
                        <div class="left">
                            <label>
                                <input type="checkbox" name="Earthquakes" />
                                Earthquakes
                            </label>
                        </div>
                        <div class="right">
                            <div class="opacity_slider">
                            </div>
                        </div>
                    </div>
                    <div class="item_row">
                        <div class="left">
                            <label>
                                <input type="checkbox" name="Faults" />
                                Faults
                            </label>
                        </div>
                        <div class="right">
                            <div class="opacity_slider">
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <br />
            <label>
                <input type="checkbox" name="ThematicCheckbox" />
                Use Thematic Coloring
            </label>
            <br />
            <br />
            <div id="Legend" class="panel">
                <h3>
                    <a href="#">Colors</a>
                </h3>
                <div class="contents">
                    <div class="headings">
                        <div class="left">
                            Item
                        </div>
                        <div class="right">
                            Color
                        </div>
                    </div>
                    <div class="item_row">
                        <div class="left">
                            Countries
                        </div>
                        <div class="right color_square" style="background-color: #00ff00;">
                            &nbsp;
                        </div>
                    </div>
                    <div class="item_row">
                        <div class="left">
                            States
                        </div>
                        <div class="right color_square" style="background-color: #0000ff;">
                            &nbsp;
                        </div>
                    </div>
                    <div class="item_row">
                        <div class="left">
                            US Counties
                        </div>
                        <div class="right color_square" style="background-color: #00ffff;">
                            &nbsp;
                        </div>
                    </div>
                    <div class="item_row">
                        <div class="left">
                            Earthquakes
                        </div>
                        <div class="right color_square" style="background-color: #ffff00;">
                            &nbsp;
                        </div>
                    </div>
                    <div class="item_row">
                        <div class="left">
                            Faults
                        </div>
                        <div class="right color_square" style="background-color: #ff0000;">
                            &nbsp;
                        </div>
                    </div>
                </div>
            </div>
            <div id="ThematicLegend" class="panel">
                <h3>
                    <a href="#">Thematic Colors</a>
                </h3>
                <div class="contents">
                    <div class="color_square" style="background-color: #400000;">
                        &nbsp;
                    </div>
                    <div class="color_square" style="background-color: #804040;">
                        &nbsp;
                    </div>
                    <div class="color_square" style="background-color: #C04000;">
                        &nbsp;
                    </div>
                    <div class="color_square" style="background-color: #C08080;">
                        &nbsp;
                    </div>
                    <div class="color_square" style="background-color: #FF0000;">
                        &nbsp;
                    </div>
                    <div class="color_square" style="background-color: #FF8040;">
                        &nbsp;
                    </div>
                    <div class="color_square" style="background-color: #FFC080;">
                        &nbsp;
                    </div>
                    <div class="color_square" style="background-color: #FFFF80;">
                        &nbsp;
                    </div>
                </div>
            </div>
            <br />
            <div id="CurrentView2" class="panel">
                <h3>
                    <a href="#">Current View</a>
                </h3>
                <div class="contents">
                    <div class="item_row">
                        <div class="left">
                            Latitude:
                        </div>
                        <div class="right" id="CurrentView2Latitude">
                        </div>
                    </div>
                    <div class="item_row">
                        <div class="left">
                            Longitude:
                        </div>
                        <div class="right" id="CurrentView2Longitude">
                        </div>
                    </div>
                    <div class="item_row">
                        <div class="left">
                            Zoom Level:
                        </div>
                        <div class="right" id="CurrentView2Zoom">
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div id="Map2">
        </div>
        <button id="ShowInstructions2">
            Show Instructions</button>
        <button id="ShowControlPanel2">
            Show Controls</button>
    </div>
</div>
